org.apache.ignite.ml.dataset.primitive

## Class SimpleLabeledDataset<C extends Serializable>

- java.lang.Object
- - org.apache.ignite.ml.dataset.primitive.DatasetWrapper<C,SimpleLabeledDatasetData>
  - - org.apache.ignite.ml.dataset.primitive.SimpleLabeledDataset<C>

- Type Parameters:
    `C` - Type of a partition `context`.
  All Implemented Interfaces:
    AutoCloseable, Dataset<C,SimpleLabeledDatasetData>

      public class SimpleLabeledDataset<C extends Serializable>
      extends DatasetWrapper<C,SimpleLabeledDatasetData>

  A simple labeled dataset introduces additional methods based on a matrix of features and labels vector.

- - ### Field Summary

    - ### Fields inherited from class org.apache.ignite.ml.dataset.primitive.DatasetWrapper

      `delegate`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SimpleLabeledDataset(Dataset<C,SimpleLabeledDatasetData> delegate)` Creates a new instance of simple labeled dataset that introduces additional methods based on a matrix of features and labels vector.

  - ### Method Summary

    - ### Methods inherited from class org.apache.ignite.ml.dataset.primitive.DatasetWrapper

      `close, compute, computeWithCtx`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.ignite.ml.dataset.Dataset

      `compute, compute, compute, compute, compute, computeWithCtx, computeWithCtx, computeWithCtx, computeWithCtx, computeWithCtx, wrap`

- - ### Constructor Detail

    - #### SimpleLabeledDataset

          public SimpleLabeledDataset(Dataset<C,SimpleLabeledDatasetData> delegate)

      Creates a new instance of simple labeled dataset that introduces additional methods based on a matrix of features and labels vector.
      Parameters:
        `delegate` - Delegate that performs `compute` actions.

2022 Copyright © Apache Software Foundation
| Follow @ApacheIgnite
Ignite Database and Caching Platform | : ver. 2.13.0
Release Date | : April 20 2022